<?php
/*
Plugin Name: Page Peel (AK VDS)
Version: 1.3
Plugin URI: http://wiki.vorratsdatenspeicherung.de/?title=Online_Demo
Description: F&uuml;gt den Pagepeel f&uuml;r die Online-Demo "Stasi 2.0" des Arbeitskreis Vorratsdatenspeicherung in das Wordpress-Blog ein.
Author: Ralf "Arby" Brostedt
Author URI: http://zweicent.brostedt.de/
*/

### Function: Page Peel CSS
add_action('wp_head', 'pagepeel_css');
function pagepeel_css() {
	echo <<<EOH
<!-- AKVS head start v1.3 -->
<style type="text/css">
<!--
div#akct {
	position: absolute; top:0px; right: 0px; z-index: 2342; width:113px; height:88px;
	background-image: url(http://wiki.vorratsdatenspeicherung.de/images/Akvse.gif);
	background-repeat: no-repeat;
	background-position: right top;
	border:none;
	padding:0;
	margin:0;
	text-align: right;
}
div#akct img {
	border:none;
	padding:0;
	margin:0;
}
div#akct a#akpeel img {
	width: 100%;
	height: 100%;
}

div#akct a {
	text-decoration: none;
	border:none;
	padding:0;
	margin:0;
	display: block;
}
div#akct a#akpeel:hover {
	position: absolute; top:0px; right: 0px; z-index: 4223; width:500px; height:500px;
	display: block;
	background-image: url(http://wiki.vorratsdatenspeicherung.de/images/Akvsb.gif);
	background-repeat: no-repeat;
	background-position: right top;
}
div#akct a#akpreload
{
	background-image: url(http://wiki.vorratsdatenspeicherung.de/images/Akvsb.gif);
	background-repeat: no-repeat;
	background-position: 20px 20px;
}
-->
</style>
<!--[if gte IE 5.5]>
<![if lt IE 7]>
<style type="text/css">
div#akct a#akpeel:hover {
		right: -1px;
}
</style>
<![endif]>
<![endif]-->
<!-- AKVS head end -->
EOH;
}

add_action('wp_footer', 'pagepeel_body');
function pagepeel_body() {
	echo '<!-- AKVS body start v1.3 -->'."\n";
  echo '<div id="akct"><a id="akpeel" href="http://www.vorratsdatenspeicherung.de" target="_blank" title="Stoppt die Vorratsdatenspeicherung! Jetzt klicken & handeln!"><img src="http://wiki.vorratsdatenspeicherung.de/images/Akvst.gif" alt="Stoppt die Vorratsdatenspeicherung! Jetzt klicken & handeln!" /></a><a id="akpreload" href="http://wiki.vorratsdatenspeicherung.de/?title=Online_Demo" target="_blank" title="Willst du auch bei der Aktion teilnehmen? Hier findest du alle relevanten Infos und Materialien:"><img src="http://wiki.vorratsdatenspeicherung.de/images/Akvsi.gif" alt="Willst du auch bei der Aktion teilnehmen? Hier findest du alle relevanten Infos und Materialien:" /></a></div>'."\n";
	echo '<!-- AKVS body end -->'."\n";
}
?>